TCRMTTEST(1)

NAME
tcrmttest - test cases of the remote database API

DESCRIPTION

The command `tcrmttest' is a utility for facility test under multi-thread situation. This command is used in the following format. `host' specifies the host name of the server. `rnum' specifies the number of iterations.

    tcrmttest write [-port num] [-tnum num] [-nr] [-rnd] [-ext name] host rnum
        Store records with keys of 8 bytes. They change as `00000001', `00000002'...
    tcrmttest read [-port num] [-tnum num] [-mul num] host
        Retrieve all records of the database above.
    tcrmttest remove [-port num] [-tnum num] host
        Remove all records of the database above.

Options feature the following.

    -port num : specify the port number.
    -tnum num : specify the number of running threads.
    -nr : use the function `tcrdbputnr' instead of `tcrdbput'.
    -rnd : select keys at random.
    -ext name : call a script language extension function.
    -mul num : specify the number of records for the mget command.

If the port number is not more than 0, UNIX domain socket is used and the path of the socket file is specified by the host parameter. This command returns 0 on success, another on failure.

SEE ALSO

ttserver(1), ttultest(1), ttulmgr(1), tcrtest(1), tcrmgr(1), ttutil(3), tcrdb(3)